# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name @PACKAGE@

# common part of summary for all the subpackages
%global common_summary Haskell %{pkg_name} library

# main description used for all the subpackages
%global common_description %{common_summary}

# Haskell library dependencies (used for buildrequires and devel/prof subpkg requires)
#%%global ghc_pkg_deps ghc-@DEP1@-devel, ghc-@DEP2@-devel

# foreign library dependencies (used for buildrequires and devel subpkg requires)
#%%global ghc_pkg_c_deps @CDEP1@-devel

Name:           %{pkg_name}
Version:        @VERSION@
Release:        0%{?dist}
Summary:        Haskell %{pkg_name}

Group:          @GROUP@
License:        @LICENSE@
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9 ppc64
BuildRequires:  ghc, ghc-doc, ghc-prof
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}

%description
%{common_description}


%prep
%setup -q


%build
%ghc_lib_build


%install
%ghc_lib_install


# define the shared, devel and prof subpkgs, devel scripts, and filelists:
# ghc-@PACKAGE@{,-devel,-prof}.files
%ghc_binlib_package


%files
%defattr(-,root,root,-)
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}


%changelog
* @DATE@ Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - @VERSION@-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.7
